Create Coupon
curl --request POST \
--url https://api.atlas.co/functions/v1/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"percent_off": 50,
"amount_off": 123,
"currency": "<string>",
"duration_in_months": 123,
"max_redemptions": 123,
"redeem_by": 123,
"applies_to": {
"products": [
"<string>"
]
},
"metadata": {}
}
'import requests
url = "https://api.atlas.co/functions/v1/coupons"
payload = {
"id": "<string>",
"name": "<string>",
"percent_off": 50,
"amount_off": 123,
"currency": "<string>",
"duration_in_months": 123,
"max_redemptions": 123,
"redeem_by": 123,
"applies_to": { "products": ["<string>"] },
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
percent_off: 50,
amount_off: 123,
currency: '<string>',
duration_in_months: 123,
max_redemptions: 123,
redeem_by: 123,
applies_to: {products: ['<string>']},
metadata: {}
})
};
fetch('https://api.atlas.co/functions/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "coupon",
"name": "<string>",
"percent_off": 123,
"amount_off": 123,
"currency": "<string>",
"duration": "<string>",
"duration_in_months": 123,
"max_redemptions": 123,
"times_redeemed": 123,
"redeem_by": 123,
"applies_to": {
"products": [
"<string>"
]
},
"valid": true,
"metadata": {},
"created": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Coupons
Create Coupon
POST
/
coupons
Create Coupon
Authorizations
API key (sk_test_* or sk_live_*)
Body
application/json
Available options:
once, repeating, forever Custom coupon code
Required range:
0 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Coupon created
Available options:
coupon Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I